rust-ureq (3.3.0+ds+~0.6.0+ds-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Apr 2026 10:34:32 +0200

rust-ureq (3.3.0+ds+~0.6.0+ds-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten crate version resolving during build
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * stop superfluously set fields Rules-Requires-Root Priority
  * relax (build-)dependencies for crate getrandom
  * declare compliance with Debian Policy 4.7.4

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Apr 2026 23:14:25 +0200

rust-ureq (3.2.0+ds+~0.5.3+ds-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 24 Mar 2026 19:59:07 +0000

rust-ureq (3.2.0+ds+~0.5.3+ds-4) experimental; urgency=medium

  * tighten (build-)dependency for crate getrandom

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Mar 2026 06:47:37 +0100

rust-ureq (3.2.0+ds+~0.5.3+ds-3) experimental; urgency=medium

  * add patch 1001 to use newer minor version of crate getrandom;
    closes: bug#1130011, thanks to Peter Michael Green
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Mar 2026 09:41:36 +0100

rust-ureq (3.2.0+ds+~0.5.3+ds-2) unstable; urgency=medium

  * add patch 2004
    to test sending a local file that is included in package

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Feb 2026 09:44:39 +0100

rust-ureq (3.2.0+ds+~0.5.3+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + stop superfluously filter out .git* files
  * update copyright info:
    + avoid any .git* files when repackaging upstream source
    + license patches same as main upstream license
    + update coverage
  * update watch file:
    + mangle Debian version
    + use repack suffix +ds
  * update and unfuzz patches
  * stop set Multi-Arch: foreign,
    incompatible with arch-any packaged crates
  * bump project versions in virtual packages and autopkgtests
  * relax (build-, autopkgtest-)dependencies for all crates,
    except autopkgtest-dependencies for own feature-providing provisions

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Feb 2026 09:54:00 +0100

rust-ureq (3.1.4+~0.5.3-1) unstable; urgency=medium

  [ upstream ]
  * new ureq-proto release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Dec 2025 23:34:16 +0100

rust-ureq (3.1.4+~0.5.2-2) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * extend patch 2003;
    closes: bug#1120432, thanks to Jeremy Bícha

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Nov 2025 22:30:42 +0100

rust-ureq (3.1.4+~0.5.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Nov 2025 00:02:08 +0100

rust-ureq (3.1.3+~0.5.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 2001_der, obsoleted by Debian packaging changes
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * tighten (build-)dependencies for crate brotli-decompressor
  * (build-)depend on packages for crates mime_guess getrandom;
    stop (build-)depend on package for crate rustls-pemfile;
    provide and autopkgtest-check feature multipart

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Nov 2025 11:05:24 +0100

rust-ureq (3.1.2+~0.5.2-4) unstable; urgency=medium

  * relax (build-)dependency for crate brotli-decompressor
    (see bug#1111367)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Nov 2025 16:44:12 +0100

rust-ureq (3.1.2+~0.5.2-3) unstable; urgency=medium

  * drop patch 2001_rustls-platform-verifier.patch,
    obsoleted by Debian packaging changes;
    tighten (build-dependency for crate rustls-platform-verifier

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Oct 2025 15:59:49 +0200

rust-ureq (3.1.2+~0.5.2-2) unstable; urgency=medium

  * drop patches 2001_cookie_store 2001_env_logger,
    obsoleted by Debian packaging changesi;
    bump (build-)dependencies for crate cookie_store

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Oct 2025 15:38:34 +0200

rust-ureq (3.1.2+~0.5.2-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file:
    + improve mangling of upstream version
    + drop comments about filename mangling
  * update and unfuzz patches
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Sep 2025 22:12:48 +0200

rust-ureq (3.1.0+~0.5.0-4) unstable; urgency=medium

  * bump autopkgtest-dependencies for crate ureq-proto;
    closes: bug#1111681, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Aug 2025 10:03:29 +0200

rust-ureq (3.1.0+~0.5.0-3) unstable; urgency=medium

  * extend patch 2003 to omit even more net-requiring tests

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Aug 2025 10:16:08 +0200

rust-ureq (3.1.0+~0.5.0-2) unstable; urgency=medium

  * extend patch 2003 to omit more net-requiring tests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Aug 2025 21:49:49 +0200

rust-ureq (3.1.0+~0.5.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file:
    + use file format version 5
    + track newer branch of crate ureq-proto
  * update and unfuzz patches
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Aug 2025 15:08:51 +0200

rust-ureq (3.0.11+~0.4.1-3) unstable; urgency=medium

  * fix autopkgtest-dependencies for embedded crate rust-ureq-proto

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 08 May 2025 12:26:28 +0200

rust-ureq (3.0.11+~0.4.1-2) unstable; urgency=medium

  * extend patch 2003 to cover another network-requiring test

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Apr 2025 23:25:38 +0200

rust-ureq (3.0.11+~0.4.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file: bump version prefix for ureq-proto
  * bump project versions in virtual packages and autopkgtests
  * provide and autopkgtest ureq-proto features
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Apr 2025 06:49:02 +0200

rust-ureq (3.0.10+~0.3.5-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Apr 2025 09:38:55 +0200

rust-ureq (3.0.10+~0.3.5-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * track and embed crate ureq-proto
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * update README.Debian about lack of support for embedded certs
  * tighten (build-)dependencies
    for crates base64 cookie-store http rustls serde serde_json;
    tighten build- and autopkgtest-dependencies for crate env_logger;
    (build-)depend on packages
    for crates der percent-encoding rustls-pki-types
    rustls-platform-verifier utf-8;
    depend (not only build-depend) on package for crate rustls-pemfile;
    relax (build-)dependencies for crates flate2 native-tls url;
    stop (build)-depend on packages
    for crates chunked-transfer cookie once_cell
    rustls-native-certs rustls-webpki;
    provide and autopkgtest features
    platform-verifier rustls rustls-no-provider
    (not http-crate http-interop native-certs proxy-from-env tls)
  * update copyright info: update coverage
  * provide embedded crate ureq-proto
  * avoid cleaning unless source is patched

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Apr 2025 07:54:07 +0200

rust-ureq (2.12.1-5) unstable; urgency=medium

  * tighten patch 2001_rustls
    to dev-depend on rustls feature dangerous_configuration,
    needed by examples/cureq/main.rs;
    tighten patch 2001_rustls-native-certs
    to depend only on v0.6 of rustls-native-certs;
    adapt patch 2002_native_certs
    for type changes in tests/https-agent.rs
    (seemingly introduced by rustls-pemfile v2);
    tighten (build-)dependencies
    for crates rustls rustls-native-certs;
    closes: bug#1101080, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Mar 2025 14:38:02 +0100

rust-ureq (2.12.1-4) unstable; urgency=medium

  * reduce patch 2001_rustls to not involve crate rustls-pemfile;
    bump build- and autopkgtest-dependencies
    for crate rustls-pemfile;
    closes: bug#1098849, thanks to Peter Michael Green
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Mar 2025 16:07:15 +0100

rust-ureq (2.12.1-3) unstable; urgency=medium

  * declare rust-related build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * drop patch 2001_http,
    obsoleted by Debian packaging changes;
    provide and autopkgtest feature http-crate;
    tighten build-dependencies for crate http
  * add patch 2003 to skip network-requiring tests by default;
    stop custom-check build- and autopkgtest-tests
  * add metadata about upstream project
  * update git-buildpackage config: improve usage comment
  * update watch file:
    + improve upstream version mangling
    + use Github API
  * update copyright info: update coverage
  * build- and autopkgtest-depend and recommend ca-certificates
  * fix doc-test in patch 2002

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 10:01:54 +0100

rust-ureq (2.12.1-2) unstable; urgency=medium

  * drop patch 2001_cookie_store, obsoleted by Debian packaging changes
  * update patch 1001_env_logger to accept newer branch;
    bump build- and autopkgtest-dependencies for crate rust-env-logger;
    closes: bug#1091223, thanks to NoisyCoil

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Jan 2025 13:46:58 +0100

rust-ureq (2.12.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file:
    + improve filename mangling;
    + handle prereleases
  * update and unfuzz patches
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Dec 2024 22:14:50 +0100

rust-ureq (2.10.1-2) unstable; urgency=medium

  * stop mention dh-cargo in long description
  * drop patch 2001_base64,
    obsoleted by Debian package changes;
    tighten build-dependency for crate base64
  * check single-feature autopkgtests only on amd64

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Oct 2024 20:42:40 +0200

rust-ureq (2.10.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * autopkgtest-depend on dh-rust (not dh-cargo)
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * tighten build- and autopkgtest-dependencies for crate env_logger

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Aug 2024 18:30:00 +0200

rust-ureq (2.10.0-3) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 18:36:45 +0200

rust-ureq (2.10.0-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Jul 2024 19:43:39 +0200

rust-ureq (2.10.0-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * drop patch 1001_brotli-decompressor,
    obsoleted by upstream changes;
    tighten (build-)dependencies for crate brotli-decompressor
  * update and unfuzz patches
  * update dh-cargo fork
  * update copyright info: update coverage
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Jul 2024 18:52:13 +0200

rust-ureq (2.9.7-6) unstable; urgency=medium

  * add patch 2001
    to accept newer branches of crate brotli-decompressor;
    relax (build-)dependencies for crate brotli-decompressor;
    closes: bug#1073563, thanks to Blair Noctis <n@sail.ng>

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Jun 2024 16:38:50 +0200

rust-ureq (2.9.7-5) unstable; urgency=medium

  * re-release targeted unstable

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Jun 2024 14:50:11 +0200

rust-ureq (2.9.7-4) experimental; urgency=medium

  * skip another network-requring test

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Jun 2024 13:46:40 +0200

rust-ureq (2.9.7-3) experimental; urgency=medium

  * fix patch 2001_rustls

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Jun 2024 12:01:59 +0200

rust-ureq (2.9.7-2) experimental; urgency=medium

  * fix patch 2001_rustls;
    add patch 2001_rustls-native-certs;
    tighten (build-/autopkgtest-)dependencies
    for crates rustls rustls-native-certs rustls-pemfile rustls-webpki;
    stop build- or autopkgtest-depend on package
    for crate rustls-pki-types

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Jun 2024 11:00:10 +0200

rust-ureq (2.9.7-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update dh-cargo fork
  * update and unfuzz patches
  * relax (build-/autopkgtest-)dependencies for crates
    base64 rustls rustls-native-certs rustls-pemfile rustls-webpki
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.7.0
  * relax to build- and autopkgtest-depend unversioned
    when version is satisfied in Debian stable
  * bump project versions in virtual packages and autopkgtests
  * (build-)depend on package for crate rustls-pki-types

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Jun 2024 13:57:16 +0200

rust-ureq (2.9.1-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to use newer crates cookie cookie_store,
    superseding patches 2002_*;
    bump (build-)dependencies for crates cookie cookie_store

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Feb 2024 17:34:09 +0100

rust-ureq (2.9.1-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Dec 2023 23:43:48 +0100

rust-ureq (2.9.1-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update patches;
    add DEP-3 headers
  * bump project versions in virtual packages and autopkgtests
  * provide and autpkgtest features http-interop proxy-from-env

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Dec 2023 22:59:05 +0100

rust-ureq (2.8.0-2) unstable; urgency=medium

  * fix: extend patch 2001

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Oct 2023 23:26:17 +0200

rust-ureq (2.8.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * update dh-cargo fork
  * update copyright info: update coverage
  * bump project version in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Oct 2023 17:15:56 +0200

rust-ureq (2.7.1-5) unstable; urgency=medium

  * renumber patch 2004 -> 1001;
    update DEP-3 patch headers
  * update dh-cargo fork;
    closes: bug#1047264, thanks to Lucas Nussbaum

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Aug 2023 11:31:57 +0200

rust-ureq (2.7.1-4) unstable; urgency=medium

  * extend patch 2001
    to enable feature native-certs also with feature tls;
    update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Aug 2023 14:51:16 +0200

rust-ureq (2.7.1-3) unstable; urgency=medium

  * update dh-cargo fork
  * drop patch 2002, obsoleted by Debian package changes;
    update build- and autopkgtest-dependencies for crate env_logger
  * extend patch 2001

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Aug 2023 01:58:19 +0200

rust-ureq (2.7.1-2) unstable; urgency=medium

  * drop patches 2003 2005, obsoleted by Debian package updates;
    tighten autopkgtest
    to test feature tls without feature native-certs;
    tighten (build-)dependencies and autopkgtest-dependencies
    for crates cookie-store rustls;
    closes: bug#1042419, thanks to Peter Green
  * drop superfluous autopkgtest dependencies
  * change patch 2004 to extend dependency ofr crate rustls-webpki
    (not switch to webpki, rustls-webpki is in Debian now);
    (build-)depend on package for crate rustls-webpki
    (not webpki)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Jul 2023 09:25:07 +0200

rust-ureq (2.7.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump version for provided virtual packages and autopkgtest hints
  * unfuzz patch 2003
  * tighten (build-)dependencies for crate serde_json;
    closes: bug#1041284, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Jul 2023 00:38:59 +0200

rust-ureq (2.7.0-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + upgrade crate base64 to v0.21;
      closes: bug#1037977, thanks to Peter Green

  [ Jonas Smedegaard ]
  * unfuzz patches
  * add patch 2004 to use crate webpki instead of rustls-webpki
  * (build-)depend on package for crate http
  * add patch 2005 to relax dependency on crate rustls
  * tighten (build-)dependency on package for crate serde_json
  * bump version for provided virtual packages and autopkgtest hints
  * bump (build-)dependency for crate base64

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Jun 2023 08:56:39 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog librust-ureq-dev`.
